## r-cran-spatstat.explore 3.2

=== DESCRIPTION ===
Package: spatstat.explore
Version: 3.2-7
Date: 2024-03-21
Title: Exploratory Data Analysis for the 'spatstat' Family
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre", "cph"),
       	            email = "Adrian.Baddeley@curtin.edu.au",
		    comment = c(ORCID="0000-0001-9499-8382")),
	     person("Rolf", "Turner", 
                    role = c("aut", "cph"),
 	            email="rolfturner@posteo.net",
		    comment=c(ORCID="0000-0001-5521-5218")),
	     person("Ege",   "Rubak", 
                    role = c("aut", "cph"),
		    email = "rubak@math.aau.dk",
		    comment=c(ORCID="0000-0002-6675-533X")),
	     person("Kasper", "Klitgaard Berthelsen",
	            role = "ctb"),
	     person("Warick", "Brown",
	            role = "cph"),
	     person("Achmad", "Choiruddin",
	            role = "ctb"),
	     person("Jean-Francois", "Coeurjolly",
	            role = "ctb"),
	     person("Ottmar", "Cronie",
	            role = "ctb"),
	     person("Tilman", "Davies",
	            role = c("ctb", "cph")),
	     person("Julian", "Gilbey",
	            role = "ctb"),
	     person("Jonatan", "Gonzalez",
	            role = "ctb"),
	     person("Yongtao", "Guan",
	            role = "ctb"),
	     person("Ute", "Hahn",
	            role = "ctb"),
	     person("Kassel", "Hingee",
	            role = c("ctb", "cph")),
	     person("Abdollah", "Jalilian", 
	            role = "ctb"),
	     person("Frederic", "Lavancier",
	            role = "ctb"),
	     person("Marie-Colette", "van Lieshout",
	            role = c("ctb", "cph")),
	     person("Greg", "McSwiggan",
	            role = "ctb"),
	     person("Robin K", "Milne",
	            role = "cph"),
	     person("Tuomas", "Rajala",
	            role = "ctb"),
	     person("Suman", "Rakshit",
	            role = c("ctb", "cph")),
	     person("Dominic", "Schuhmacher",
	            role = "ctb"),
	     person("Rasmus", "Plenge Waagepetersen",
	            role = "ctb"),
	     person("Hangsheng", "Wang",
	            role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 3.0-4), spatstat.geom (>=
        3.2-9), spatstat.random (>= 3.2-3), stats, graphics, grDevices,
        utils, methods, nlme
Imports: spatstat.utils (>= 3.0-4), spatstat.sparse (>= 3.0-3), goftest
        (>= 1.2-2), Matrix, abind
Suggests: sm, gsl, locfit, spatial, fftwtools (>= 0.9-8),
        spatstat.linnet (>= 3.1-4), spatstat.model (>= 3.2-10),
        spatstat (>= 3.0-7)
Description: Functionality for exploratory data analysis and nonparametric analysis of
	     spatial data, mainly spatial point patterns,
	     in the 'spatstat' family of packages.
	     (Excludes analysis of spatial data on a linear network,
	     which is covered by the separate package 'spatstat.linnet'.)
	     Methods include quadrat counts, K-functions and their simulation envelopes, nearest neighbour distance and empty space statistics, Fry plots, pair correlation function, kernel smoothed intensity, relative risk estimation with cross-validated bandwidth selection, mark correlation functions, segregation indices, mark dependence diagnostics, and kernel estimates of covariate effects. Formal hypothesis tests of random pattern (chi-squared, Kolmogorov-Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-Ford, Dao-Genton, two-stage Monte Carlo) and tests for covariate effects (Cox-Berman-Waller-Lawson, Kolmogorov-Smirnov, ANOVA) are also supported.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.explore/issues
Packaged: 2024-03-21 02:38:56 UTC; adrian
Author: Adrian Baddeley [aut, cre, cph]
    (<https://orcid.org/0000-0001-9499-8382>),
  Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
  Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>),
  Kasper Klitgaard Berthelsen [ctb],
  Warick Brown [cph],
  Achmad Choiruddin [ctb],
  Jean-Francois Coeurjolly [ctb],
  Ottmar Cronie [ctb],
  Tilman Davies [ctb, cph],
  Julian Gilbey [ctb],
  Jonatan Gonzalez [ctb],
  Yongtao Guan [ctb],
  Ute Hahn [ctb],
  Kassel Hingee [ctb, cph],
  Abdollah Jalilian [ctb],
  Frederic Lavancier [ctb],
  Marie-Colette van Lieshout [ctb, cph],
  Greg McSwiggan [ctb],
  Robin K Milne [cph],
  Tuomas Rajala [ctb],
  Suman Rakshit [ctb, cph],
  Dominic Schuhmacher [ctb],
  Rasmus Plenge Waagepetersen [ctb],
  Hangsheng Wang [ctb]
Repository: CRAN
Date/Publication: 2024-03-21 05:40:02 UTC

## r-cran-spatstat.explore 3.0-5

=== debian/changelog ===
r-cran-spatstat.explore (3.0-5-2) unstable; urgency=medium

  * Source-only upload
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 08 Dec 2022 19:10:18 +0100

r-cran-spatstat.explore (3.0-5-1) unstable; urgency=medium

  * Initial release (closes: #1024165)

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 21:15:19 +0100

=== debian/control ===
Source: r-cran-spatstat.explore
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore.git
Homepage: https://cran.r-project.org/package=spatstat.explore
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-spatstat.data (>= 3.0),
               r-cran-spatstat.geom (>= 3.0),
               r-cran-spatstat.random (>= 3.0),
               r-cran-nlme,
               r-cran-spatstat.utils (>= 3.0),
               r-cran-spatstat.sparse (>= 3.0),
               r-cran-goftest (>= 1.2-2),
               r-cran-matrix,
               r-cran-abind
Testsuite: autopkgtest-pkg-r

Package: r-cran-spatstat.explore
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R exploratory data analysis for the 'spatstat' family
 Functionality for exploratory data analysis and nonparametric analysis
 of spatial data, mainly spatial point patterns, in the 'spatstat' family
 of packages. (Excludes analysis of spatial data on a linear network,
 which is covered by the separate package 'spatstat.linnet'.) Methods
 include quadrat counts, K-functions and their simulation envelopes,
 nearest neighbour distance and empty space statistics, Fry plots, pair
 correlation function, kernel smoothed intensity, relative risk
 estimation with cross-validated bandwidth selection, mark correlation
 functions, segregation indices, mark dependence diagnostics, and kernel
 estimates of covariate effects. Formal hypothesis tests of random
 pattern (chi-squared, Kolmogorov-Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-
 Ford, Dao-Genton, two-stage Monte Carlo) and tests for covariate effects
 (Cox-Berman-Waller-Lawson, Kolmogorov-Smirnov, ANOVA) are also
 supported.

## r-cran-spatstat.explore 3.0-6

=== debian/changelog ===
r-cran-spatstat.explore (3.0-6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 15:03:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore.git
 Homepage: https://cran.r-project.org/package=spatstat.explore
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.0),
-               r-cran-spatstat.random (>= 3.0),
+               r-cran-spatstat.geom (>= 3.0-5),
+               r-cran-spatstat.random (>= 3.1),
                r-cran-nlme,
                r-cran-spatstat.utils (>= 3.0),
                r-cran-spatstat.sparse (>= 3.0),

## r-cran-spatstat.explore 3.2-1

=== debian/changelog ===
r-cran-spatstat.explore (3.2-1-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 16:27:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: r-cran-spatstat.explore
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-spatstat.data (>= 3.0-1),
+               r-cran-spatstat.geom (>= 3.2-1),
+               r-cran-spatstat.random,
+               r-cran-nlme,
+               r-cran-spatstat.utils (>= 3.0-3),
+               r-cran-spatstat.sparse (>= 3.0-1),
+               r-cran-goftest,
+               r-cran-matrix,
+               r-cran-abind
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore.git
 Homepage: https://cran.r-project.org/package=spatstat.explore
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.geom (>= 3.0-5),
-               r-cran-spatstat.random (>= 3.1),
-               r-cran-nlme,
-               r-cran-spatstat.utils (>= 3.0),
-               r-cran-spatstat.sparse (>= 3.0),
-               r-cran-goftest (>= 1.2-2),
-               r-cran-matrix,
-               r-cran-abind
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.explore
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/spatstat.explore_([-\d.]*)\.tar\.gz

## r-cran-spatstat.explore 3.2-5

=== debian/changelog ===
r-cran-spatstat.explore (3.2-5-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 10:17:17 +0200

r-cran-spatstat.explore (3.2-3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 06:34:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0-1),
-               r-cran-spatstat.geom (>= 3.2-1),
-               r-cran-spatstat.random,
+               r-cran-spatstat.geom (>= 3.2-7),
+               r-cran-spatstat.random (>= 3.2-1),
                r-cran-nlme,
                r-cran-spatstat.utils (>= 3.0-3),
                r-cran-spatstat.sparse (>= 3.0-1),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name CITATION -o -name "*.txt" -o -name "*.Rd" \) -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-sm,
        r-cran-gsl,
        r-cran-locfit,
        r-cran-spatial,
        r-cran-spatstat.linnet (>= 3.1),
        r-cran-spatstat.model (>= 3.2-3),
        r-cran-spatstat (>= 3.0-5)
Restrictions: allow-stderr

## r-cran-spatstat.explore 3.2-6

=== debian/changelog ===
r-cran-spatstat.explore (3.2-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 07 Feb 2024 08:10:07 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-spatstat.data (>= 3.0-1),
-               r-cran-spatstat.geom (>= 3.2-7),
+               r-cran-spatstat.geom (>= 3.2-8),
                r-cran-spatstat.random (>= 3.2-1),
                r-cran-nlme,
                r-cran-spatstat.utils (>= 3.0-3),

## r-cran-spatstat.explore 3.2-7

=== debian/changelog ===
r-cran-spatstat.explore (3.2-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 May 2024 16:43:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 3.0-1),
-               r-cran-spatstat.geom (>= 3.2-8),
-               r-cran-spatstat.random (>= 3.2-1),
+               r-cran-spatstat.data (>= 3.0-4),
+               r-cran-spatstat.geom (>= 3.2-9),
+               r-cran-spatstat.random (>= 3.2-3),
                r-cran-nlme,
-               r-cran-spatstat.utils (>= 3.0-3),
-               r-cran-spatstat.sparse (>= 3.0-1),
+               r-cran-spatstat.utils (>= 3.0-4),
+               r-cran-spatstat.sparse (>= 3.0-3),
                r-cran-goftest,
                r-cran-matrix,
                r-cran-abind
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore.git
 Homepage: https://cran.r-project.org/package=spatstat.explore

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-sm,
        r-cran-gsl,
        r-cran-locfit,
        r-cran-spatial,
        r-cran-spatstat.linnet (>= 3.1-4),
        r-cran-spatstat.model (>= 3.2-10),
        r-cran-spatstat (>= 3.0-7)
Restrictions: allow-stderr

## r-cran-spatstat.explore 3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.explore
-Version: 3.2-7
-Date: 2024-03-21
+Version: 3.3-4
+Date: 2025-01-08
 Title: Exploratory Data Analysis for the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -57,14 +57,14 @@
 	     person("Hangsheng", "Wang",
 	            role = "ctb"))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.5.0), spatstat.data (>= 3.0-4), spatstat.geom (>=
-        3.2-9), spatstat.random (>= 3.2-3), stats, graphics, grDevices,
-        utils, methods, nlme
-Imports: spatstat.utils (>= 3.0-4), spatstat.sparse (>= 3.0-3), goftest
+Depends: R (>= 3.5.0), spatstat.data (>= 3.1-2), spatstat.univar (>=
+        3.0-0), spatstat.geom (>= 3.3-2), spatstat.random (>= 3.3-1),
+        stats, graphics, grDevices, utils, methods, nlme
+Imports: spatstat.utils (>= 3.1-0), spatstat.sparse (>= 3.1-0), goftest
         (>= 1.2-2), Matrix, abind
 Suggests: sm, gsl, locfit, spatial, fftwtools (>= 0.9-8),
-        spatstat.linnet (>= 3.1-4), spatstat.model (>= 3.2-10),
-        spatstat (>= 3.0-7)
+        spatstat.linnet (>= 3.2-1), spatstat.model (>= 3.3-1), spatstat
+        (>= 3.1-1)
 Description: Functionality for exploratory data analysis and nonparametric analysis of
 	     spatial data, mainly spatial point patterns,
 	     in the 'spatstat' family of packages.
@@ -76,7 +76,7 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.explore/issues
-Packaged: 2024-03-21 02:38:56 UTC; adrian
+Packaged: 2025-01-08 09:42:39 UTC; adrian
 Author: Adrian Baddeley [aut, cre, cph]
     (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
@@ -103,4 +103,4 @@
   Rasmus Plenge Waagepetersen [ctb],
   Hangsheng Wang [ctb]
 Repository: CRAN
-Date/Publication: 2024-03-21 05:40:02 UTC
+Date/Publication: 2025-01-08 11:00:02 UTC

## r-cran-spatstat.explore 3.3-4

=== debian/changelog ===
r-cran-spatstat.explore (3.3-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Add build-dependency to r-cran-spatstat.univar (in NEW queue)

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 16:41:57 +0900

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 3.0-4),
-               r-cran-spatstat.geom (>= 3.2-9),
-               r-cran-spatstat.random (>= 3.2-3),
+               r-cran-spatstat.data (>= 3.1-2),
+               r-cran-spatstat.geom (>= 3.3-2),
+               r-cran-spatstat.random (>= 3.3-1),
                r-cran-nlme,
-               r-cran-spatstat.utils (>= 3.0-4),
-               r-cran-spatstat.sparse (>= 3.0-3),
+               r-cran-spatstat.utils (>= 3.1-0),
+               r-cran-spatstat.univar,
+               r-cran-spatstat.sparse (>= 3.1-0),
                r-cran-goftest,
                r-cran-matrix,
                r-cran-abind

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-sm,
        r-cran-gsl,
        r-cran-locfit,
        r-cran-spatial,
        r-cran-spatstat.linnet (>= 3.2-1),
        r-cran-spatstat.model (>= 3.3-1),
        r-cran-spatstat (>= 3.1-1)
Restrictions: allow-stderr

## r-cran-spatstat.explore 3.7-0

=== debian/changelog ===
r-cran-spatstat.explore (3.7-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 11:40:16 +0900

=== debian/control ===
Source: r-cran-spatstat.explore
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-spatstat.data (>= 3.1-9),
 r-cran-spatstat.univar,
 r-cran-spatstat.geom (>= 3.7-0),
 r-cran-spatstat.random (>= 3.4-3),
 r-cran-nlme,
 r-cran-spatstat.utils (>= 3.2-1),
 r-cran-spatstat.sparse (>= 3.1),
 r-cran-goftest,
 r-cran-matrix,
 r-cran-abind,
 r-cran-spatstat.data (>= 3.1-2),
 r-cran-spatstat.geom (>= 3.3-2),
 r-cran-spatstat.random (>= 3.3-1),
 r-cran-spatstat.utils (>= 3.1-0),
 r-cran-spatstat.sparse (>= 3.1-0),
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.explore.git
Homepage: https://cran.r-project.org/package=spatstat.explore
Rules-Requires-Root: no

Package: r-cran-spatstat.explore
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R exploratory data analysis for the 'spatstat' family
 Functionality for exploratory data analysis and nonparametric analysis
 of spatial data, mainly spatial point patterns, in the 'spatstat' family
 of packages. (Excludes analysis of spatial data on a linear network,
 which is covered by the separate package 'spatstat.linnet'.) Methods
 include quadrat counts, K-functions and their simulation envelopes,
 nearest neighbour distance and empty space statistics, Fry plots, pair
 correlation function, kernel smoothed intensity, relative risk
 estimation with cross-validated bandwidth selection, mark correlation
 functions, segregation indices, mark dependence diagnostics, and kernel
 estimates of covariate effects. Formal hypothesis tests of random
 pattern (chi-squared, Kolmogorov-Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-
 Ford, Dao-Genton, two-stage Monte Carlo) and tests for covariate effects
 (Cox-Berman-Waller-Lawson, Kolmogorov-Smirnov, ANOVA) are also
 supported.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-sm,
 r-cran-gsl,
 r-cran-locfit,
 r-cran-spatial,
 r-cran-fftwtools (>= 0.9-8),
 r-cran-spatstat.linnet (>= 3.4),
 r-cran-spatstat.model (>= 3.5),
 r-cran-spatstat (>= 3.5),
 r-cran-spatstat.linnet (>= 3.2-1),
 r-cran-spatstat.model (>= 3.3-1),
 r-cran-spatstat (>= 3.1-1),
